#include <iostream>
#include <fstream>

#include "curltransfer.h"

using namespace arc;

int main() {

	URL downloadurl("http://www.google.com/");

	// let's download this url to std::cerr
	std::cout << "Downloading " << downloadurl.str() << " to stderr" << std::endl;
	CURLTransfer ftr;

	try {
		ftr.Download(downloadurl, std::cerr);
	} catch( CURLTransferError e ) {
		std::cout << e.what() << std::endl;
		return 1;
	}

	return 0;
}
